#ifndef _CLIENT_THREAD_HANDLER_H_
#   define _CLIENT_THREAD_HANDLER_H_

/*****************************************************************************
 * Headers
 *****************************************************************************/

#include <windows.h>

/*****************************************************************************
 * Forward References
 *****************************************************************************/

class Output;

/*****************************************************************************
 * Class Declaration: ClientThreadHandler
 *****************************************************************************/

class ClientThreadHandler
{
   public:

      ClientThreadHandler(
         int number,
         int clientHandle,
         HANDLE mutex,
         Output *output,
         int id
      );

      ~ClientThreadHandler();

      void stateChange(bool isBegin);

   private:

      int    mNumber;
      int    mClientHandle;
      HANDLE mMutex;
      Output *mOutput;
      int    mID;
      static int mLive;
};

#endif
