#ifndef _MUTEX_MANAGER_H_
#   define _MUTEX_MANAGER_H_

/*****************************************************************************
 * Headers / Using Declarations
 *****************************************************************************/

#include <windows.h>
#include <string>

using std::string;

/*****************************************************************************
 * Class Declaration: MutexManager
 *****************************************************************************/

class MutexManager
{
   public:
      MutexManager();
      ~MutexManager();
      bool setHandles(string &errMsg);

      HANDLE thread();
      HANDLE screen();
      HANDLE log();

      static bool acquire(HANDLE theHandle, string &errMsg);
      static bool release(HANDLE theHandle, string &errMsg);

   private:
      HANDLE mThread;
      HANDLE mScreen;
      HANDLE mLog;
};

#endif
